drc: only override default cycle_multiplier
[pcsx_rearmed.git] / configure
CommitLineData
4132e8ca 1#!/bin/sh
2# some elements originated from qemu configure
3set -e
4
5TMPC="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.c"
6TMPO="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.o"
07c13dfd 7TMPB="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}"
8trap "rm -f $TMPC $TMPO $TMPB" EXIT INT QUIT TERM
4132e8ca 9rm -f config.log
10
11compile_object()
12{
07c13dfd 13 c="$CC $CFLAGS -c $TMPC -o $TMPO $@"
14 echo $c >> config.log
15 $c >> config.log 2>&1
16}
17
18compile_binary()
19{
20 c="$CC $CFLAGS $TMPC -o $TMPB $LDFLAGS $MAIN_LDLIBS $@"
4132e8ca 21 echo $c >> config.log
22 $c >> config.log 2>&1
23}
24
25check_define()
26{
cc376814 27 $CC -E -dD $CFLAGS include/arm_features.h | grep -q "$1" || return 1
28 return 0
29}
30
31check_define_val()
32{
33 $CC -E -dD $CFLAGS include/arm_features.h | grep "$1" | awk '{print $3}'
4132e8ca 34 return 0
35}
36
37# setting options to "yes" or "no" will make that choice default,
38# "" means "autodetect".
39
38c2028e 40platform_list="generic pandora maemo caanoo libretro"
4132e8ca 41platform="generic"
0bfe8d59 42builtin_gpu_list="peops unai neon senquack"
61bc6d40 43builtin_gpu=""
b68bf5c2 44sound_driver_list="oss alsa pulseaudio sdl libretro"
07c13dfd 45sound_drivers=""
dd4d5a35 46plugins="plugins/spunull/spunull.so \
0bfe8d59 47plugins/dfxvideo/gpu_peops.so plugins/gpu_unai/gpu_unai.so plugins/gpu_senquack/gpu_senquack.so"
4132e8ca 48ram_fixed="no"
49drc_cache_base="no"
00a212aa 50have_armv5=""
4132e8ca 51have_armv6=""
52have_armv7=""
53have_arm_neon=""
54have_tslib=""
5b9aa749 55have_gles=""
5514a050 56have_c64x_dsp=""
4132e8ca 57enable_dynarec="yes"
f89fa2d9 58need_sdl="no"
955f9af0 59need_xlib="no"
cc56203b 60need_libpicofe="yes"
61need_warm="no"
5b9aa749 62CFLAGS_GLES=""
63LDLIBS_GLES=""
4132e8ca 64# these are for known platforms
65optimize_cortexa8="no"
66optimize_arm926ej="no"
67
68# hardcoded stuff
69CC="${CC-${CROSS_COMPILE}gcc}"
ac6575cd 70CXX="${CXX-${CROSS_COMPILE}g++}"
4132e8ca 71AS="${AS-${CROSS_COMPILE}as}"
72AR="${AS-${CROSS_COMPILE}ar}"
9aff1963 73MAIN_LDLIBS="$LDLIBS -ldl -lm -lpthread"
4132e8ca 74config_mak="config.mak"
75
07c13dfd 76fail()
77{
78 echo "$@"
5d53bb85 79 if test -n "$DUMP_CONFIG_LOG"; then cat config.log; fi
07c13dfd 80 exit 1
81}
82
4132e8ca 83# call during arg parsing, so that cmd line can override platform defaults
84set_platform()
85{
86 platform=$1
87 case "$platform" in
88 generic)
89 ;;
90 pandora)
07c13dfd 91 sound_drivers="oss alsa"
4132e8ca 92 ram_fixed="yes"
93 drc_cache_base="yes"
94 optimize_cortexa8="yes"
95 have_arm_neon="yes"
955f9af0 96 need_xlib="yes"
4132e8ca 97 ;;
98 maemo)
99 ram_fixed="yes"
100 drc_cache_base="yes"
101 optimize_cortexa8="yes"
102 have_arm_neon="yes"
103 ;;
104 caanoo)
07c13dfd 105 sound_drivers="oss"
4132e8ca 106 ram_fixed="yes"
107 drc_cache_base="yes"
108 optimize_arm926ej="yes"
cc56203b 109 need_warm="yes"
4132e8ca 110 ;;
38c2028e 111 libretro)
07c13dfd 112 sound_drivers="libretro"
cc56203b 113 need_libpicofe="no"
38c2028e 114 ;;
4132e8ca 115 *)
07c13dfd 116 fail "unsupported platform: $platform"
4132e8ca 117 ;;
118 esac
119}
120
121for opt do
122 optarg=`expr "x$opt" : 'x[^=]*=\(.*\)'` || true
123 case "$opt" in
124 --help|-h) show_help="yes"
125 ;;
126 --platform=*) set_platform "$optarg"
127 ;;
61bc6d40 128 --gpu=*) builtin_gpu="$optarg"
129 ;;
07c13dfd 130 --sound-drivers=*) sound_drivers="$optarg"
4132e8ca 131 ;;
132 --enable-neon) have_arm_neon="yes"
133 ;;
134 --disable-neon) have_arm_neon="no"
135 ;;
136 --disable-dynarec) enable_dynarec="no"
137 ;;
138 *) echo "ERROR: unknown option $opt"; show_help="yes"
139 ;;
140 esac
141done
142
143if [ "$show_help" = "yes" ]; then
144 echo "options:"
145 echo " --help print this message"
146 echo " --platform=NAME target platform [$platform]"
147 echo " available: $platform_list"
61bc6d40 148 echo " --gpu=NAME builtin gpu plugin [guessed]"
149 echo " available: $builtin_gpu_list"
07c13dfd 150 echo " --sound-drivers=LIST sound output drivers [guessed]"
4132e8ca 151 echo " available: $sound_driver_list"
152 echo " --enable-neon"
153 echo " --disable-neon enable/disable ARM NEON optimizations [guessed]"
154 echo " --disable-dynarec disable dynamic recompiler"
155 echo " (dynarec is only available and enabled on ARM)"
943a507a 156 echo " --disable-icache-emu Disables the instruction cache emulation"
4132e8ca 157 echo "influential environment variables:"
ac6575cd 158 echo " CROSS_COMPILE CC CXX AS AR CFLAGS ASFLAGS LDFLAGS LDLIBS"
4132e8ca 159 exit 1
160fi
161
07c13dfd 162# validate selections
61bc6d40 163if [ "x$builtin_gpu" != "x" ]; then
07c13dfd 164 if ! echo $builtin_gpu_list | grep -q "\<$builtin_gpu\>"; then
165 fail "unsupported builtin gpu plugin: $builtin_gpu"
166 fi
61bc6d40 167fi
168
07c13dfd 169if [ "x$sound_drivers" != "x" ]; then
170 for d in $sound_drivers; do
171 if ! echo $sound_driver_list | grep -q "\<$d\>"; then
172 fail "unsupported sound driver: $sound_driver"
173 fi
174 done
175fi
4132e8ca 176
cc56203b 177if [ "$need_libpicofe" = "yes" ]; then
178 if ! test -f "frontend/libpicofe/README"; then
179 fail "libpicofe is missing, please run 'git submodule init && git submodule update'"
180 fi
181fi
182
183if [ "$need_warm" = "yes" ]; then
184 if ! test -f "frontend/warm/README"; then
185 fail "wARM is missing, please run 'git submodule init && git submodule update'"
186 fi
187fi
188
00a212aa 189# basic compiler test
190cat > $TMPC <<EOF
191#include <zlib.h>
192int main(void) { return 0; }
193EOF
194if ! compile_binary; then
0dc1b4a9 195 fail "compiler test failed, please check config.log"
00a212aa 196fi
197
4132e8ca 198if [ -z "$ARCH" ]; then
0dc1b4a9 199 ARCH=`$CC -dumpmachine | awk -F '-' '{print $1}'`
4132e8ca 200fi
201
0dc1b4a9 202case "$ARCH" in
203arm*)
204 # ARM stuff
205 ARCH="arm"
206
4132e8ca 207 if [ "$optimize_cortexa8" = "yes" ]; then
4132e8ca 208 CFLAGS="$CFLAGS -mcpu=cortex-a8 -mtune=cortex-a8"
209 ASFLAGS="$ASFLAGS -mcpu=cortex-a8"
210 fi
211 if [ "$optimize_arm926ej" = "yes" ]; then
212 CFLAGS="$CFLAGS -mcpu=arm926ej-s -mtune=arm926ej-s"
213 ASFLAGS="$ASFLAGS -mcpu=arm926ej-s -mfloat-abi=softfp"
214 fi
215
216 if [ "x$have_arm_neon" = "x" ]; then
217 # detect NEON from user-supplied cflags to enable asm code
218 have_arm_neon=`check_define __ARM_NEON__ && echo yes` || true
219 fi
4132e8ca 220 if [ "x$have_armv7" = "x" ]; then
00a212aa 221 if check_define HAVE_ARMV7; then
4132e8ca 222 have_armv7="yes"
00a212aa 223 have_armv6="yes"
224 have_armv5="yes"
4132e8ca 225 fi
226 fi
00a212aa 227 if [ "x$have_armv6" = "x" ]; then
228 if check_define HAVE_ARMV6; then
229 have_armv6="yes"
230 have_armv5="yes"
231 fi
232 fi
233 if [ "x$have_armv5" = "x" ]; then
234 have_armv5=`check_define HAVE_ARMV5 && echo yes` || true
235 fi
4132e8ca 236
61bc6d40 237 if [ "x$builtin_gpu" = "x" ]; then
238 if [ "$have_arm_neon" = "yes" ]; then
239 builtin_gpu="neon"
240 elif [ "$have_armv7" != "yes" ]; then
241 # pre-ARMv7 hardware is usually not fast enough for peops
242 builtin_gpu="unai"
243 else
244 builtin_gpu="peops"
245 fi
246 fi
247
e795af9e 248 # automatically set mfpu and mfloat-abi if they are not set
4132e8ca 249 if [ "$have_arm_neon" = "yes" ]; then
40cf6975 250 fpu="neon"
4132e8ca 251 elif [ "$have_armv6" = "yes" ]; then
40cf6975 252 fpu="vfp"
4132e8ca 253 fi
40cf6975 254 if [ "x$fpu" != "x" ]; then
255 echo "$CFLAGS" | grep -q -- '-mfpu=' || CFLAGS="$CFLAGS -mfpu=$fpu"
256 echo "$ASFLAGS" | grep -q -- '-mfpu=' || ASFLAGS="$ASFLAGS -mfpu=$fpu"
257 floatabi_set_by_gcc=`$CC -v 2>&1 | grep -q -- --with-float= && echo yes` || true
258 if [ "$floatabi_set_by_gcc" != "yes" ]; then
259 echo "$CFLAGS" | grep -q -- '-mfloat-abi=' || CFLAGS="$CFLAGS -mfloat-abi=softfp"
260 echo "$ASFLAGS" | grep -q -- '-mfloat-abi=' || ASFLAGS="$ASFLAGS -mfloat-abi=softfp"
261 fi
4132e8ca 262 fi
263
9f704290 264 # must disable thumb as recompiler can't handle it
96751f36 265 if check_define __thumb__; then
9f704290 266 CFLAGS="$CFLAGS -marm"
96751f36 267 fi
00a212aa 268
269 # warn about common mistakes
270 if [ "$have_armv5" != "yes" ]; then
271 if ! echo "$CFLAGS" | grep -q -- '-mcpu=\|-march='; then
272 echo "Warning: compiling for ARMv4, is that really what you want?"
273 echo "You probably should specify -mcpu= or -march= like this:"
274 echo " CFLAGS=-march=armv6 ./configure ..."
275 fi
276 fi
277 if [ "$have_arm_neon" = "yes" -a "$have_armv7" != "yes" ]; then
278 echo "Warning: compiling for NEON, but not ARMv7?"
279 echo "You probably want to specify -mcpu= or -march= like this:"
280 echo " CFLAGS=-march=armv7-a ./configure ..."
281 fi
0dc1b4a9 282 ;;
55a2d0dc 283aarch64)
284 ;;
0dc1b4a9 285*)
4132e8ca 286 # dynarec only available on ARM
287 enable_dynarec="no"
0dc1b4a9 288 ;;
289esac
4132e8ca 290
61bc6d40 291if [ "x$builtin_gpu" = "x" ]; then
292 builtin_gpu="peops"
293fi
294
4132e8ca 295# supposedly we can avoid -fPIC on armv5 for slightly better performace?
296if [ "$ARCH" != "arm" -o "$have_armv6" = "yes" ]; then
297 PLUGIN_CFLAGS="$PLUGIN_CFLAGS -fPIC"
298fi
299
300if [ "$ram_fixed" = "yes" ]; then
301 CFLAGS="$CFLAGS -DRAM_FIXED"
302fi
303
38c2028e 304case "$platform" in
305generic)
f89fa2d9 306 need_sdl="yes"
38c2028e 307 ;;
308maemo)
7010034e 309 CFLAGS="$CFLAGS -DMAEMO -DMAEMO_CHANGES"
38c2028e 310 ;;
311libretro)
312 CFLAGS="$CFLAGS -fPIC"
22fa3f2b 313 MAIN_LDFLAGS="$MAIN_LDFLAGS -shared -Wl,--no-undefined"
38c2028e 314 ;;
315esac
4132e8ca 316
07c13dfd 317# header/library presence tests
318check_zlib()
319{
320 cat > $TMPC <<EOF
321 #include <zlib.h>
791f6e3e 322 int main(void) { uncompress(0, 0, 0, 0); }
07c13dfd 323EOF
324 compile_binary
325}
326
07c13dfd 327check_libpng()
328{
329 cat > $TMPC <<EOF
330 #include <png.h>
331 void main() { png_init_io(0, 0); }
332EOF
333 compile_binary
334}
335
336check_oss()
337{
338 cat > $TMPC <<EOF
339 #include <sys/soundcard.h>
340 #include <sys/ioctl.h>
341 void main() { int a=0; ioctl(0, SNDCTL_DSP_SETFMT, &a); }
342EOF
343 compile_binary
344}
345
346check_alsa()
347{
348 cat > $TMPC <<EOF
349 #include <alsa/asoundlib.h>
350 void main() { snd_pcm_open(0, 0, 0, 0); }
351EOF
352 compile_binary "$@"
353}
354
b68bf5c2 355check_pulseaudio()
356{
357 cat > $TMPC <<EOF
358 #include <pulse/pulseaudio.h>
359 void main() { pa_threaded_mainloop_new(); }
360EOF
361 compile_binary "$@"
362}
363
07c13dfd 364check_sdl()
365{
366 cat > $TMPC <<EOF
367 #include <SDL.h>
368 void main() { SDL_OpenAudio(0, 0); }
369EOF
370 compile_binary "$@"
371}
372
955f9af0 373check_xlib_headers()
374{
375 cat > $TMPC <<EOF
376 #include <X11/Xlib.h>
377 void *f() { return XOpenDisplay(0); }
378EOF
379 compile_object "$@"
380}
381
5514a050 382# see if we have c64_tools for TI C64x DSP
383check_c64_tools()
384{
385 cat > $TMPC <<EOF
386 #include <inc_libc64_mini.h>
387 int f() { return dsp_open(); }
388EOF
389 compile_object "$@"
390}
391
f89fa2d9 392MAIN_LDLIBS="$MAIN_LDLIBS -lz"
9f704290 393check_zlib || fail "please install zlib (libz-dev)"
f89fa2d9 394
f89fa2d9 395MAIN_LDLIBS="-lpng $MAIN_LDLIBS"
9f704290 396check_libpng || fail "please install libpng (libpng-dev)"
07c13dfd 397
398# find what audio support we can compile
399if [ "x$sound_drivers" = "x" ]; then
400 if check_oss; then sound_drivers="$sound_drivers oss"; fi
f89fa2d9 401 if check_alsa -lasound; then
402 sound_drivers="$sound_drivers alsa"
403 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
404 fi
b68bf5c2 405 if check_pulseaudio -lpulse; then
406 sound_drivers="$sound_drivers pulseaudio"
407 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
408 fi
9f704290 409 if [ "$need_sdl" = "yes" ] || check_sdl `sdl-config --cflags --libs`; then
f89fa2d9 410 sound_drivers="$sound_drivers sdl"
411 need_sdl="yes"
412 fi
413else
414 if echo $sound_drivers | grep -q "\<oss\>"; then
415 check_oss || fail "oss support is missing"
416 fi
417 if echo $sound_drivers | grep -q "\<alsa\>"; then
418 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
419 check_alsa || fail "please install libasound2-dev"
420 fi
b68bf5c2 421 if echo $sound_drivers | grep -q "\<pulseaudio\>"; then
422 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
423 check_pulseaudio || fail "pulseaudio support is missing"
424 fi
07c13dfd 425fi
426
9f704290 427if [ "$need_sdl" = "yes" ]; then
428 which sdl-config > /dev/null || \
429 fail "sdl-config is missing; please install libsdl (libsdl1.2-dev)"
f89fa2d9 430 CFLAGS="$CFLAGS `sdl-config --cflags`"
431 MAIN_LDLIBS="`sdl-config --libs` $MAIN_LDLIBS"
9f704290 432 check_sdl || fail "please install libsdl (libsdl1.2-dev)"
07c13dfd 433fi
434
4132e8ca 435# check for tslib (only headers needed)
436if [ "x$have_tslib" = "x" ]; then
437 cat > $TMPC <<EOF
438 #include <tslib.h>
439 void test(struct ts_sample sample) {}
440EOF
441 if compile_object; then
442 have_tslib="yes"
443 else
444 have_tslib="no"
445 fi
446fi
447
5b9aa749 448# check for VideoCore stuff for Raspberry Pi
ad6150e0 449if [ -d /opt/vc/include -a -d /opt/vc/lib -a "$VIDEOCORE" != "no" ]; then
237d1f6f 450 CFLAGS_GLES="$CFLAGS_GLES -I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads -I/opt/vc/include/interface/vmcs_host/linux"
5b9aa749 451 LDLIBS_GLES="$LDLIBS_GLES -L/opt/vc/lib"
cbcadc5f 452 if [ -f /opt/vc/lib/libbcm_host.so ]; then
453 LDLIBS_GLES="$LDLIBS_GLES -lbcm_host"
454 fi
955f9af0 455 need_xlib="yes"
ad6150e0 456 VIDEOCORE="yes"
5b9aa749 457fi
458
dd4d5a35 459# check for GLES headers
460cat > $TMPC <<EOF
461#include <GLES/gl.h>
dd4d5a35 462#include <EGL/egl.h>
5b9aa749 463int main(void) {
464 return (int)eglGetDisplay( (EGLNativeDisplayType)0 );
dd4d5a35 465}
466EOF
ad6150e0
CG
467if [ "$VIDEOCORE" = "yes" ] && compile_binary $CFLAGS_GLES -lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES; then
468 have_gles="yes"
469 LDLIBS_GLES="-lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES"
470elif compile_binary $CFLAGS_GLES -lEGL -lGLES_CM $LDLIBS_GLES; then
5b9aa749 471 have_gles="yes"
472 LDLIBS_GLES="-lEGL -lGLES_CM $LDLIBS_GLES"
473elif compile_binary $CFLAGS_GLES -lEGL -lGLESv1_CM $LDLIBS_GLES; then
474 have_gles="yes"
475 LDLIBS_GLES="-lEGL -lGLESv1_CM $LDLIBS_GLES"
dd4d5a35 476fi
477
5514a050 478if check_c64_tools; then
479 have_c64x_dsp="yes"
480fi
481
5b9aa749 482if [ "$have_gles" = "yes" ]; then
483 plugins="$plugins plugins/gpu-gles/gpu_gles.so"
484fi
61bc6d40 485if [ "$have_arm_neon" = "yes" -a "$builtin_gpu" != "neon" ]; then
486 plugins="$plugins plugins/gpu_neon/gpu_neon.so"
487fi
488
955f9af0 489# check for xlib (only headers needed)
490if [ "x$need_xlib" = "xyes" ]; then
491 check_xlib_headers || fail "please install libx11-dev"
492fi
493
cc376814 494sizeof_long=`check_define_val __SIZEOF_LONG__`
495if [ "x$sizeof_long" = "x4" ]; then
496 CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64"
497fi
498
9f704290 499cat > $TMPC <<EOF
500void test(void *f, void *d) { fread(d, 1, 1, f); }
501EOF
502if compile_object -Wno-unused-result; then
503 CFLAGS="$CFLAGS -Wno-unused-result"
504fi
505
dd4d5a35 506# short plugin list for display
507for p in $plugins; do
508 p1=`basename $p`
509 plugins_short="$p1 $plugins_short"
510done
511
4132e8ca 512# set things that failed to autodetect to "no"
513test "x$have_armv6" != "x" || have_armv6="no"
514test "x$have_armv7" != "x" || have_armv7="no"
515test "x$have_arm_neon" != "x" || have_arm_neon="no"
00a212aa 516test "x$have_gles" != "x" || have_gles="no"
5514a050 517test "x$have_c64x_dsp" != "x" || have_c64x_dsp="no"
4132e8ca 518
519echo "architecture $ARCH"
520echo "platform $platform"
61bc6d40 521echo "built-in GPU $builtin_gpu"
07c13dfd 522echo "sound drivers $sound_drivers"
dd4d5a35 523echo "plugins $plugins_short"
4132e8ca 524echo "C compiler $CC"
525echo "C compiler flags $CFLAGS"
07c13dfd 526echo "libraries $MAIN_LDLIBS"
22fa3f2b 527echo "linker flags $LDFLAGS$MAIN_LDFLAGS"
4132e8ca 528echo "enable dynarec $enable_dynarec"
5514a050 529if [ "$ARCH" = "arm" ]; then
530 echo "ARMv7 optimizations $have_armv7"
531 echo "enable ARM NEON $have_arm_neon"
532 echo "TI C64x DSP support $have_c64x_dsp"
533fi
4132e8ca 534echo "tslib support $have_tslib"
2c616080 535if [ "$platform" = "generic" ]; then
536 echo "OpenGL ES output $have_gles"
537fi
4132e8ca 538
539echo "# Automatically generated by configure" > $config_mak
540printf "# Configured with:" >> $config_mak
541printf " '%s'" "$0" "$@" >> $config_mak
542echo >> $config_mak
543
544echo "CC = $CC" >> $config_mak
ac6575cd 545echo "CXX = $CXX" >> $config_mak
4132e8ca 546echo "AS = $AS" >> $config_mak
547echo "CFLAGS += $CFLAGS" >> $config_mak
548echo "ASFLAGS += $ASFLAGS" >> $config_mak
549echo "LDFLAGS += $LDFLAGS" >> $config_mak
22fa3f2b 550echo "MAIN_LDFLAGS += $MAIN_LDFLAGS" >> $config_mak
07c13dfd 551echo "MAIN_LDLIBS += $MAIN_LDLIBS" >> $config_mak
4132e8ca 552echo "PLUGIN_CFLAGS += $PLUGIN_CFLAGS" >> $config_mak
553echo >> $config_mak
554
38c2028e 555if [ "$platform" = "libretro" ]; then
556 echo "TARGET = libretro.so" >> $config_mak
557fi
4132e8ca 558echo "ARCH = $ARCH" >> $config_mak
559echo "PLATFORM = $platform" >> $config_mak
61bc6d40 560echo "BUILTIN_GPU = $builtin_gpu" >> $config_mak
07c13dfd 561echo "SOUND_DRIVERS = $sound_drivers" >> $config_mak
ddd99692 562echo "PLUGINS = $plugins" >> $config_mak
4132e8ca 563if [ "$have_arm_neon" = "yes" ]; then
564 echo "HAVE_NEON = 1" >> $config_mak
565fi
566if [ "$have_tslib" = "yes" ]; then
567 echo "HAVE_TSLIB = 1" >> $config_mak
568fi
5b9aa749 569if [ "$have_gles" = "yes" ]; then
570 echo "HAVE_GLES = 1" >> $config_mak
571 echo "CFLAGS_GLES = $CFLAGS_GLES" >> $config_mak
572 echo "LDLIBS_GLES = $LDLIBS_GLES" >> $config_mak
573fi
4132e8ca 574if [ "$enable_dynarec" = "yes" ]; then
575 echo "USE_DYNAREC = 1" >> $config_mak
576fi
577if [ "$drc_cache_base" = "yes" ]; then
2a014d73 578 echo "BASE_ADDR_DYNAMIC = 1" >> $config_mak
4132e8ca 579fi
5514a050 580if [ "$have_c64x_dsp" = "yes" ]; then
581 echo "HAVE_C64_TOOLS = 1" >> $config_mak
582fi
4132e8ca 583
2e6189bc 584# use pandora's skin (for now)
585test -e skin || ln -s frontend/pandora/skin skin
586
4132e8ca 587# vim:shiftwidth=2:expandtab